Bug 728165 - Accumulate function cannot be used directly from lhs
Summary: Accumulate function cannot be used directly from lhs
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRE (Expert, Fusion)
Version: BRMS 5.2.0-ER1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: BRMS 5.3.0.GA
Assignee: Edson Tirelli
QA Contact: Tomas Schlosser
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-04 09:00 UTC by Tomas Schlosser
Modified: 2012-05-30 05:39 UTC (History)
5 users (show)

Doc Type: Bug Fix
Doc Text:
It was previously not possible to use the accumulate function from the LHS of a rule with the Rule API, making the following type of rule impossible: </para> <screen>newRule().name("whatever").lhs().accumulate()</screen> <para>It is now possible to use the accumulate function from the LHS of a rule.
Clone Of:
Environment:
Last Closed:
Type: Feature Request


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker JBRULES-3356 None Closed Accumulate function cannot be used directly from lhs 2012-05-30 05:38:49 UTC

Description Tomas Schlosser 2011-08-04 09:00:21 UTC
Description of problem:
Since support to multi-function accumulate has been added in 5.2, it would be nice to be able to use accumulate directly in lhs in Rule API like

newRule().name("whatever").lhs().accumulate()

which is impossible now.

Comment 1 Edson Tirelli 2012-01-19 23:36:49 UTC
Fixed. Thanks for reporting.

Comment 2 Ryan Zhang 2012-01-21 02:36:58 UTC
This is added into BRMS 5.3 ER3 release. Ready for verification.

Thanks Edson for fixing. Btw it would be better off upstream project using MODIFIED status to indicate bug fixed and productization using ON_QA status to indicate bug fix added to platform.

Comment 4 Tomas Schlosser 2012-01-30 15:04:01 UTC
It works fine now. Thank you!

Comment 5 lcarlon 2012-05-03 02:50:53 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
It was previously not possible to use the accumulate function from the LHS of a rule with the Rule API.

Comment 6 lcarlon 2012-05-30 05:38:42 UTC
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1,4 @@
-It was previously not possible to use the accumulate function from the LHS of a rule with the Rule API.+It was previously not possible to use the accumulate function from the LHS of a rule with the Rule API, making the following type of rule impossible:
+</para>
+<screen>newRule().name("whatever").lhs().accumulate()</screen>
+<para>It is now possible to use the accumulate function from the LHS of a rule.


Note You need to log in before you can comment on or make changes to this bug.